; test unWBRLE2VRAM - by mvac7  (27/06/2014)
; ENSAMBLAR CON AsMSX

    .page	1
		.ROM
		

VDPVRAM   EQU   $98 ;VRAM Data (Read/Write)
VDPSTATUS EQU   $99 ;VDP Status Registers

;system vars
MSXVER EQU $002D
FORCLR EQU $F3E9 ;Foreground colour
BAKCLR EQU $F3EA ;Background colour
BDRCLR EQU $F3EB ;Border colour
CLIKSW EQU $F3DB ;0 disabled / 1 enabled
RG1SAV EQU $F3E0 ;VDP REG 1
EXTVDP EQU $FFE7 ;

;BIOS (info by MSX Assembly Page)
;http://map.grauw.nl/resources/msxbios.php
DISSCR EQU $0041 ;inhibits the screen display
ENASCR EQU $0044 ;displays the screen
WRTVDP EQU $0047 ;write data in the VDP-register
RDVRM  EQU $004A ;Reads the content of VRAM
WRTVRM EQU $004D ;Writes data in VRAM
SETRD  EQU $0050 ;Enable VDP to read
SETWRT EQU $0053 ;Enable VDP to write
FILVRM EQU $0056 ;fill VRAM with value
LDIRMV EQU $0059 ;Block transfer to memory from VRAM
LDIRVM EQU $005C ;Block transfer to VRAM from memory
CHGMOD EQU $005F ;Switches to given screenmode
CHGCLR EQU $0062 ;Changes the screencolors
CLRSPR EQU $0069 ;Initialises all sprites
INITXT EQU $006C ;Switches to SCREEN 0 (text screen with 40 * 24 characters)
INIT32 EQU $006F ;Switches to SCREEN 1 (text screen with 32*24 characters)
INIGRP EQU $0072 ;Switches to SCREEN 2 (high resolution screen with 256*192 pixels)
INIMLT EQU $0075 ;Switches to SCREEN 3 (multi-color screen 64*48 pixels)
SETTXT EQU $0078 ;Switches to VDP in SCREEN 0 mode
SETT32 EQU $007B ;Switches VDP in SCREEN mode 1
SETGRP EQU $007E ;Switches VDP to SCREEN 2 mode
SETMLT EQU $0081 ;Switches VDP to SCREEN 3 mode
CALPAT EQU $0084 ;Returns the address of the sprite pattern table
CALATR EQU $0087 ;Returns the address of the sprite attribute table
GSPSIZ EQU $008A ;Returns current sprite size
GRPPRT EQU $008D ;Displays a character on the graphic screen

GICINI EQU $0090 ;Initialises PSG and sets initial value for the PLAY statement
WRTPSG EQU $0093 ;Writes data to PSG-register
RDPSG  EQU $0096 ;Reads value from PSG-register
;

; more BIOS functions
SNSMAT EQU $0141 ;
GTSTCK EQU $00D5
GTTRIG EQU $00D8
ENASLT EQU $0024
KILBUF EQU $0156


BASE10 EQU $1800 ;base 10 name table
BASE11 EQU $2000 ;base 11 color table
BASE12 EQU $0000 ;base 12 character pattern table
BASE13 EQU $1B00 ;base 13 sprite attribute table
BASE14 EQU $3800 ;base 14 sprite pattern table


RLECONTROL EQU $80

;variables
_SCRBUFFER  EQU $D04C  ;768B 

;constantes
;MAXSONG     EQU 3 ;(total-1)
DEFLATENCY  EQU 20 ;tiempo de latencia para que no se lance repetidamente la funcion

; AJUSTES INICIALES
		
		DI
				

	;color ,5,5  
  ld   A,1
  ld   [BAKCLR],A
  ld   A,1
  ld   [BDRCLR],A  
  call CHGCLR
	
	;screen 2
	ld   A,2
	call CHGMOD
	
	
	
	;carga graficos
	halt
  ld   HL,TILESET_pat
  ld   DE,BASE12
  call unRLEWBtoVRAM

  halt
  ld   HL,TILESET_col
  ld   DE,BASE11
  call unRLEWBtoVRAM
 


LOOP:		
  halt
  
  
  ld     A,7         
	call    SNSMAT
	sub     A,11111011B    ;ESC
	JR      Z,EXIT_HELP
	
  jp  LOOP

EXIT_HELP:

  call 0



  


.INCLUDE	"unRLEWBtoRAM.asm"
.INCLUDE	"unRLEWBtoVRAM.asm"




; tileset EGYPTIAN
; pattern data
; RLE WB compressed - Original size= 6144 - Final size= 1677
TILESET_pat:
db $80,$FE,$00,$80,$A5,$00,$E0,$8F,$3F,$80,$04,$00,$07,$0E,$03,$80
db $E8,$00,$07,$FF,$FF,$80,$03,$00,$07,$80,$03,$00,$E0,$80,$02,$03
db $1F,$80,$02,$FF,$03,$C0,$C0,$00,$E0,$FF,$FF,$80,$EB,$00,$03,$80
db $06,$00,$C0,$80,$FE,$00,$80,$FE,$00,$80,$32,$00,$01,$03,$07,$0F
db $1F,$3F,$00,$C0,$E0,$F0,$F8,$FC,$FE,$FF,$80,$36,$00,$03,$80,$0E
db $00,$C0,$00,$1C,$E1,$C1,$C1,$81,$80,$00,$90,$FF,$01,$80,$02,$F0
db $E0,$C0,$C1,$FF,$03,$80,$03,$00,$80,$00,$80,$03,$00,$80,$00,$C0
db $E0,$E0,$F0,$80,$81,$00,$01,$03,$07,$0F,$1F,$3F,$7F,$80,$0E,$FF
db $80,$00,$C0,$E0,$F0,$F8,$FC,$FE,$FF,$80,$2D,$00,$07,$1F,$1F,$07
db $80,$03,$00,$FF,$FF,$F0,$FE,$FE,$7F,$1F,$07,$83,$E1,$67,$07,$07
db $87,$E7,$F7,$FF,$FF,$7C,$7C,$F8,$F8,$80,$02,$F7,$FF,$80,$02,$00
db $FE,$80,$02,$FF,$C7,$30,$80,$03,$00,$80,$00,$E0,$F0,$80,$79,$00
db $01,$03,$07,$0F,$1F,$3F,$7F,$80,$1E,$FF,$80,$00,$C0,$E0,$F0,$F8
db $FC,$FE,$FF,$80,$19,$00,$01,$03,$03,$80,$02,$00,$7F,$FF,$FF,$F0
db $80,$03,$00,$FF,$FF,$01,$00,$00,$03,$07,$3F,$F8,$F8,$FF,$3F,$0F
db $80,$02,$FF,$7F,$7F,$80,$06,$FF,$FE,$FC,$80,$02,$FF,$FE,$FC,$01
db $00,$00,$C0,$E0,$F0,$F8,$7C,$F0,$F8,$80,$02,$38,$18,$18,$08,$80
db $21,$00,$01,$03,$07,$0F,$1F,$3F,$00,$C0,$E0,$F0,$F8,$FC,$FE,$FF
db $80,$41,$00,$01,$03,$07,$0F,$1F,$3F,$7F,$80,$2E,$FF,$80,$00,$C0
db $E0,$F0,$F8,$FC,$FE,$FF,$80,$19,$00,$01,$01,$07,$0F,$0F,$1F,$7F
db $FF,$FC,$FC,$E0,$C0,$80,$00,$00,$FF,$FF,$1F,$1F,$3E,$3C,$38,$78
db $FF,$F7,$CF,$80,$04,$0F,$F8,$FC,$FE,$E0,$80,$03,$F0,$C3,$E1,$E1
db $F1,$70,$F0,$F8,$F9,$80,$21,$FF,$01,$03,$07,$0F,$1F,$3F,$7F,$80
db $0E,$FF,$80,$00,$C0,$E0,$F0,$F8,$FC,$FE,$FF,$80,$31,$00,$01,$03
db $07,$0F,$1F,$3F,$7F,$80,$3E,$FF,$80,$17,$00,$E1,$C3,$C3,$C7,$CF
db $CF,$80,$09,$FF,$87,$80,$05,$8F,$CF,$F0,$F0,$80,$02,$F8,$80,$02
db $FC,$07,$07,$87,$83,$83,$80,$02,$C3,$06,$06,$04,$80,$1E,$00,$01
db $03,$07,$0F,$1F,$3F,$7F,$80,$1E,$FF,$80,$00,$C0,$E0,$F0,$F8,$FC
db $FE,$FF,$80,$21,$00,$01,$03,$07,$0F,$1F,$3F,$7F,$80,$46,$FF,$80
db $27,$00,$30,$30,$80,$05,$00,$01,$80,$06,$00,$C1,$C1,$E0,$E0,$80
db $02,$F0,$F8,$80,$04,$FF,$80,$02,$7F,$80,$11,$FF,$01,$03,$07,$0F
db $1F,$3F,$7F,$80,$2E,$FF,$80,$00,$C0,$E0,$F0,$F8,$FC,$FE,$FF,$80
db $11,$00,$01,$03,$07,$0F,$1F,$3F,$7F,$80,$4E,$FF,$80,$37,$00,$80
db $05,$07,$03,$03,$80,$00,$80,$00,$80,$02,$C0,$80,$02,$E0,$80,$09
db $00,$01,$03,$07,$0F,$1F,$3F,$7F,$80,$3E,$FF,$80,$00,$C0,$E0,$F0
db $F8,$FC,$FE,$FF,$00,$00,$01,$03,$07,$0F,$1F,$3F,$7F,$80,$56,$FF
db $80,$37,$00,$80,$02,$03,$80,$03,$01,$00,$E0,$F0,$F0,$80,$02,$F8
db $FC,$FC,$80,$08,$00,$F0,$80,$06,$FF,$00,$FF,$00,$FF,$F0,$80,$02
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$03,$FF,$0F,$FF,$3F
db $FF,$F0,$80,$06,$FF,$00,$FF,$00,$FF,$F0,$80,$02,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$80,$3F,$FF,$03
db $03,$01,$80,$03,$81,$C0,$80,$15,$FF,$3F,$3F,$FF,$F0,$80,$06,$FF
db $00,$FF,$00,$FF,$F0,$80,$02,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF
db $00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF
db $00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$03,$FF,$0F,$FF,$3F,$80
db $18,$FF,$F0,$80,$06,$FF,$00,$FF,$00,$FF,$F0,$80,$02,$FF,$00,$FF
db $00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF
db $00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF
db $00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF
db $00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$80,$3F,$FF
db $80,$03,$C0,$80,$03,$E0,$80,$02,$FF,$80,$04,$7F,$F0,$01,$00,$00
db $10,$70,$0C,$0E,$80,$07,$E0,$80,$02,$00,$30,$30,$78,$7F,$80,$00
db $80,$02,$00,$18,$18,$38,$FC,$FC,$00,$F0,$80,$06,$FF,$00,$FF,$00
db $FF,$F0,$80,$02,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$03
db $FF,$0F,$FF,$3F,$80,$30,$FF,$F0,$80,$06,$FF,$00,$FF,$00,$FF,$F0
db $80,$02,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$80,$3F,$FF,$80,$07,$E0,$80,$02,$7F,$80,$04,$3F,$F0,$F3
db $F7,$80,$04,$FF,$E0,$00,$E1,$E3,$E7,$80,$02,$FF,$80,$00,$00,$3F
db $7F,$FF,$80,$02,$00,$01,$01,$07,$80,$04,$03,$80,$03,$00,$80,$02
db $80,$C0,$80,$08,$00,$F0,$80,$4E,$FF,$F0,$80,$06,$FF,$00,$FF,$00
db $FF,$F0,$80,$02,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00
db $FF,$00,$FF,$00,$80,$13,$FF,$07,$1F,$1F,$FF,$00,$00,$03,$FF,$FF
db $F0,$80,$1B,$00,$E0,$E0,$80,$03,$FF,$80,$07,$E0,$80,$07,$C0,$80
db $07,$00,$80,$00,$C0,$F8,$F8,$80,$03,$F9,$80,$04,$00,$80,$02,$C0
db $80,$04,$03,$80,$02,$06,$80,$07,$C0,$80,$21,$00,$83,$01,$06,$18
db $E1,$06,$80,$06,$00,$C3,$80,$38,$FF,$F0,$80,$06,$FF,$00,$FF,$00
db $FF,$F0,$80,$02,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$03
db $FF,$0F,$FF,$3F,$80,$0F,$FF,$C0,$80,$03,$FF,$E0,$E0,$FE,$80,$02
db $00,$E1,$FF,$FF,$F8,$FF,$00,$80,$04,$FF,$7F,$FF,$4B,$80,$16,$FF
db $80,$07,$E0,$80,$07,$C0,$80,$07,$00,$80,$07,$06,$80,$02,$C0,$E0
db $80,$03,$60,$80,$07,$06,$80,$07,$C0,$80,$1D,$00,$E0,$E0,$00,$C4
db $C0,$86,$80,$00,$80,$00,$81,$C3,$C3,$80,$04,$30,$F0,$F0,$80,$48
db $00,$F0,$80,$1D,$FF,$01,$80,$06,$00,$FF,$1F,$07,$80,$04,$00,$FF
db $E0,$80,$15,$00,$01,$01,$1F,$80,$04,$FF,$80,$04,$E0,$80,$02,$C0
db $80,$07,$3F,$80,$07,$FF,$80,$06,$06,$07,$80,$06,$60,$FF,$80,$06
db $06,$FF,$80,$07,$C0,$80,$17,$00,$80,$04,$18,$87,$87,$FF,$1C,$18
db $08,$08,$80,$02,$0C,$0E,$80,$83,$00,$80,$02,$01,$80,$04,$00,$80
db $02,$F0,$7C,$00,$80,$06,$1F,$80,$02,$00,$80,$02,$01,$FF,$FF,$80
db $02,$3F,$80,$03,$FF,$FC,$80,$04,$00,$80,$02,$07,$80,$07,$00,$07
db $07,$80,$02,$7F,$80,$02,$78,$80,$06,$FF,$07,$80,$07,$FF,$80,$04
db $C0,$80,$1B,$00,$80,$02,$01,$80,$03,$03,$0E,$0F,$1F,$1F,$3F,$7F
db $FF,$07,$80,$02,$80,$80,$03,$C0,$E0,$80,$7F,$00,$83,$80,$00,$F0
db $F0,$80,$02,$FC,$FF,$FC,$3C,$3C,$80,$03,$00,$FF,$80,$02,$00,$FC
db $FC,$80,$02,$00,$80,$02,$03,$80,$04,$00,$F8,$F8,$F0,$10,$10,$80
db $02,$00,$80,$03,$FF,$70,$70,$7E,$FF,$80,$03,$87,$80,$02,$07,$87
db $F8,$F8,$80,$05,$FF,$03,$03,$80,$25,$FF,$03,$03,$07,$06,$80,$03
db $07,$E0,$80,$00,$80,$05,$00,$60,$34,$3C,$80,$03,$38,$F8,$80,$8F
db $00,$FF,$07,$80,$05,$00,$FF,$7F,$3F,$3F,$80,$03,$00,$80,$03,$FF
db $80,$03,$00,$80,$02,$FC,$E0,$80,$3B,$00,$07,$07,$80,$05,$00,$FF
db $FF,$80,$05,$0F,$80,$07,$F8,$80,$E7,$00,$01,$01,$80,$05,$00,$FF
db $FF,$03,$03,$80,$03,$00,$F8,$FF,$FF,$F8,$80,$02,$78,$00,$00,$80
db $05,$C0,$80,$1A,$00,$87,$FA,$C2,$BA,$83,$80,$02,$FF,$1A,$E9,$EB
db $EB,$1B,$80,$02,$FF,$61,$BE,$F0,$EE,$E0,$80,$02,$FF,$A6,$9B,$80
db $02,$BB,$FF,$FF,$7F,$0C,$7B,$78,$7B,$9C,$FF,$FF,$F7,$76,$AC,$3E
db $FE,$7C,$80,$02,$FF,$E3,$D9,$D5,$CD,$63,$FF,$80,$FF

; color data
; RLE WB compressed - Original size= 6144 - Final size= 1385
TILESET_col:
db $80,$FE,$55,$55,$44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80
db $05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$05
db $55,$44,$44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$05,$55
db $44,$44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$05,$55,$44
db $44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44
db $80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80
db $05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$03,$55,$80,$02,$5F,$44
db $80,$03,$55,$5F,$E5,$E4,$E4,$80,$05,$55,$44,$44,$80,$05,$55,$44
db $44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44
db $80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$05,$55,$44,$44,$80
db $05,$55,$44,$44,$80,$05,$55,$44,$44,$80,$04,$55,$80,$02,$44,$80
db $04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$55,$80,$02
db $44,$80,$04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$55
db $80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80
db $04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$55,$80,$02
db $44,$80,$04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$55
db $80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80
db $04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$E5,$44,$44
db $80,$03,$4E,$00,$50,$80,$06,$04,$50,$80,$02,$04,$80,$04,$05,$80
db $02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04
db $55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44
db $80,$04,$55,$80,$02,$44,$80,$04,$55,$80,$02,$44,$80,$04,$55,$80
db $02,$44,$80,$04,$55,$80,$02,$44,$80,$03,$55,$80,$03,$44,$80,$03
db $55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$03,$44
db $80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80
db $03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03
db $55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$03,$44
db $80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80
db $03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03
db $55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$02,$44
db $F4,$80,$03,$55,$80,$02,$44,$F4,$80,$03,$55,$80,$03,$44,$80,$03
db $55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$03,$44
db $80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80
db $03,$44,$80,$03,$55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$03
db $55,$80,$03,$44,$80,$03,$55,$80,$03,$44,$80,$02,$55,$80,$04,$44
db $80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80
db $04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02
db $55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44
db $80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80
db $04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02
db $55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44
db $80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80
db $04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02
db $55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44
db $80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80
db $04,$44,$80,$02,$55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$80,$02
db $55,$80,$04,$44,$80,$02,$55,$80,$04,$44,$55,$55,$80,$05,$44,$55
db $55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55
db $80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80
db $05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05
db $44,$55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05,$44
db $55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55
db $55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55
db $80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80
db $05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$55,$80,$05
db $44,$55,$A5,$80,$05,$A4,$A5,$A5,$80,$05,$A4,$55,$55,$80,$05,$44
db $55,$55,$80,$05,$44,$55,$55,$80,$05,$44,$55,$80,$06,$44,$55,$80
db $06,$44,$55,$80,$06,$44,$55,$80,$04,$44,$C4,$C4,$55,$80,$03,$44
db $CC,$CC,$44,$55,$80,$04,$44,$C4,$C4,$C5,$80,$06,$4C,$C5,$80,$06
db $4C,$80,$04,$5C,$80,$02,$C4,$55,$44,$80,$05,$C4,$55,$80,$06,$44
db $55,$80,$06,$44,$55,$80,$06,$44,$55,$80,$06,$44,$55,$80,$06,$44
db $55,$80,$06,$44,$55,$80,$06,$44,$55,$80,$06,$44,$55,$80,$06,$44
db $55,$80,$06,$44,$55,$80,$06,$44,$55,$80,$06,$44,$55,$80,$06,$44
db $55,$80,$06,$44,$55,$80,$06,$44,$55,$80,$06,$44,$55,$80,$16,$A4
db $A5,$80,$06,$A4,$55,$80,$06,$44,$55,$80,$23,$44,$80,$AB,$C4,$80
db $47,$A4,$80,$5F,$C4,$80,$A7,$A4,$80,$20,$C4,$6C,$80,$03,$64,$80
db $29,$4C,$80,$AD,$A4,$80,$1F,$4C,$80,$07,$46,$80,$21,$C4,$80,$C5
db $A4,$80,$0F,$C4,$80,$21,$46,$80,$DD,$A4,$80,$19,$64,$80,$AD,$A4
db $80,$37,$BB,$80,$18,$6B,$80,$EE,$BA,$80,$20,$B6,$80,$DE,$BA,$80
db $10,$B6,$80,$03,$06,$6B,$CB,$CB,$80,$0A,$6B,$80,$03,$0B,$C0,$80
db $02,$BB,$80,$05,$0B,$80,$CE,$BA,$80,$0F,$B6,$80,$07,$BC,$6B,$CC
db $80,$05,$6B,$80,$04,$C0,$22,$CC,$22,$B0,$B0,$0C,$0C,$6C,$62,$6C
db $62,$80,$03,$BB,$80,$0C,$6B,$80,$92,$BA,$80,$08,$5B,$80,$02,$75
db $BB,$BB,$80,$05,$55,$BB,$BB,$80,$05,$55,$BB,$BB,$80,$05,$55,$BB
db $BB,$80,$05,$5B,$B6,$B6,$BA,$BA,$5A,$5A,$54,$54,$6B,$6B,$80,$0D
db $AB,$80,$07,$B6,$CC,$22,$CC,$22,$22,$80,$02,$0B,$6C,$62,$6C,$62
db $62,$80,$06,$6B,$80,$25,$0B,$BC,$BC,$80,$03,$3C,$80,$06,$BB,$80
db $39,$B9,$80,$2E,$BA,$80,$04,$57,$80,$02,$B5,$77,$55,$55,$80,$24
db $57,$80,$07,$54,$80,$05,$4B,$80,$09,$AB,$80,$07,$6B,$80,$07,$0B
db $80,$07,$6B,$80,$25,$0B,$BD,$BD,$00,$90,$80,$02,$9E,$BE,$DE,$DE
db $B9,$80,$4F,$DB,$80,$1E,$BA,$80,$10,$5B,$75,$75,$80,$04,$BB,$80
db $02,$55,$80,$04,$BB,$80,$02,$55,$80,$04,$BB,$80,$07,$B5,$80,$17
db $BA,$6B,$6B,$80,$0D,$AB,$6B,$6B,$80,$25,$AB,$80,$04,$DB,$80,$02
db $B9,$ED,$ED,$80,$05,$4D,$80,$83,$BB,$80,$6C,$AB,$80,$06,$DB,$80
db $06,$4D,$B4,$80,$05,$DB,$80,$81,$6B,$80,$67,$BA,$DB,$80,$03,$6B
db $80,$02,$AB,$4B,$80,$05,$6B,$AA,$80,$03,$6B,$80,$FE,$AB,$80,$FE
db $AB,$80,$27,$AB,$80,$35,$BF,$80,$FF



